Package org.multiverse.api.callables

## Interface TxnBooleanCallable

-     public interface TxnBooleanCallable

  A transactional callable contains the logic that needs to be executed transactionally and normally is executed by the `TxnExecutor`. This transactional callable is optimized for retuning a primitive type: boolean. Using this TxnBooleanCallable instead of the `TxnCallable` is that no object wrapper needs to be created and there is no reason to deal with a potential null value.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `call​(Txn txn)` | Executes the callable.

- - ### Method Detail

    - #### call

          boolean call​(Txn txn)
                throws Exception

      Executes the callable.
      Parameters:
        `txn` - the Transaction. Depending on the txn `PropagationLevel`, this could be null.
      Returns:
        the result of the execution.
      Throws:
        `Exception`